## scummvm 1.2.1

=== Makefile ===
# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/Makefile $
# $Id: Makefile 52582 2010-09-05 23:17:52Z lordhoto $

#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir) -I$(srcdir)/engines
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wimplicit -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

	# Disable RTTI and exceptions
	CXXFLAGS+= -fno-rtti -fno-exceptions

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
endif

# Warn if global constructors are used. Only available in GCC with LLVM backend
# (and maybe clang?), hence off by default.
#CXXFLAGS+= -Wglobal-constructors

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################
# Misc stuff - you should never have to edit this                     #
#######################################################################

EXECUTABLE  := scummvm$(EXEEXT)

include $(srcdir)/Makefile.common

# check if configure has been run or has been changed since last run
config.h config.mk: $(srcdir)/configure
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2
	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif

ifneq ($(origin port_mk), undefined)
include $(srcdir)/$(port_mk)
endif

=== backends/platform/dc/Makefile ===
# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/backends/platform/dc/Makefile $
# $Id: Makefile 52803 2010-09-19 12:37:24Z marcus_c $

ronindir = /usr/local/ronin

DYNAMIC_MODULES = 1

srcdir = ../../..
VPATH = $(srcdir)

CC      = sh-elf-gcc -ml -m4-single-only
CXX     = sh-elf-g++ -ml -m4-single-only
LD      = $(CXX)
CXXFLAGS= -O3 -Wno-multichar -funroll-loops -fschedule-insns2 -fomit-frame-pointer -fdelete-null-pointer-checks -fno-exceptions
DEFINES = -D__DC__ -DNONSTANDARD_PORT -DUSE_MAD -DUSE_ZLIB -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_RGB_COLOR -DNOSERIAL
LDFLAGS = -Wl,-Ttext,0x8c010000 -nostartfiles $(ronindir)/lib/crt0.o
INCLUDES= -I./ -I$(srcdir) -I$(ronindir)/include/ -I$(srcdir)/engines
LIBS	= -L$(ronindir)/lib -lmad -lronin-noserial -lz -lm
EXECUTABLE = scummvm.elf
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf
AR = sh-elf-ar cru
RANLIB = sh-elf-ranlib
HAVE_GCC3 = true
USE_RGB_COLOR = true

ifdef DYNAMIC_MODULES
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
ENABLED=DYNAMIC_PLUGIN
else
ENABLED=STATIC_PLUGIN
endif

ENABLE_SCUMM = $(ENABLED)
ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o

MODULE_DIRS += ./

BACKEND := dc

include $(srcdir)/Makefile.common

scummvm.bin : scummvm.elf
	sh-elf-objcopy -S -R .stack -O binary $< $@

SCUMMVM.BIN : scummvm.bin
	scramble $< $@

plugin_dist : plugins
	for p in $(PLUGINS); do \
	  sh-elf-strip -g -o "`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`" "$$p"; \
	done

dist : SCUMMVM.BIN plugin_dist

spotless : distclean
	$(RM) SCUMMVM.BIN scummvm.bin *.PLG

=== debian/changelog ===
scummvm (1.2.1-2ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #692617). Remaining changes:
    - debian/patches/ld-as-needed.diff:
      + Fix FTBFS with ld --as-needed.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 20 Dec 2010 17:10:10 +0100

scummvm (1.2.1-2) unstable; urgency=low

  * Pass "--enable-release" to the configure script. This prevents
    the build of a few "work in progress" engines, which upstream
    doesn't see fit for general use yet.
  * Add a build conflict on liboss-salsa-dev to prevent the libsalsa
    emulation library being present in the buildd chroots. ScummVM
    itself builds fine with OSS support (Closes: #600655)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 19 Dec 2010 19:51:42 +0100

scummvm (1.2.1-1ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Dec 2010 23:12:16 +0100

scummvm (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 11 Dec 2010 12:17:22 +0100

scummvm (1.2.0-2) unstable; urgency=low

  * Add python to the build dependencies, since it's needed for the
    test suite (Closes: #600173)
  * Change data dir to /usr/share/scummvm (Closes: #600157)
  * 1.2.0 also introduced official support for SCI games (Closes: #576268)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 17 Oct 2010 15:58:36 +0200

scummvm (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #593945)
  * Drop obsolete build deps on texlive-base, texlive-extra-utils,
    ghostscript (Thanks, Max Horn)
  * Update description to point out that ScummVM supports much
    more than SCUMM these days (Thanks, Max Horn)
  * Update to standards version 3.9.1:
    - Modify asound build dep to linux-any
  * Unversion several build deps even supported in oldstable
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 12 Oct 2010 21:49:29 +0200

scummvm (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Switch to bz2 upstream tarball
  * Disable SCI engine as requested by upstream, it's not yet ready to
    replace FreeSCI	

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 07 May 2010 18:57:09 +0200

scummvm (1.1.0-2) unstable; urgency=low

  * Do not build-depend on libasound on KFreeBSD and the Hurd

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 25 Apr 2010 22:28:48 +0200

scummvm (1.1.0-1) unstable; urgency=low

  * New upstream release
    - Fixes running ScummVM without a soundcard (Closes: #540166)
  * Enable SCI engine (Closes: #576268)
  * Lintian cleanups, bump standards version (no changes necessary)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 07 Apr 2010 20:49:10 +0200

scummvm (1.0.0-4) unstable; urgency=high

  * Fix Replaces for scummvm.xpm (Closes: #573372)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 22 Mar 2010 18:46:55 +0100

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper (>= 7), nasm [i386], libsdl1.2-dev, libmad0-dev, libasound2-dev [linux-any], libvorbis-dev, libmpeg2-4-dev, libflac-dev, libz-dev, libfluidsynth-dev, python
Standards-Version: 3.9.1
Build-Conflicts: liboss-salsa-dev
Homepage: http://www.scummvm.org

Package: scummvm
Architecture: any
Depends: ${shlibs:Depends}, scummvm-data, ${misc:Depends}
Suggests: fluidsynth | timidity, beneath-a-steel-sky, flight-of-the-amazon-queen
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of two games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky        (package name: beneath-a-steel-sky)
  - Flight of the Amazon Queen (package name: flight-of-the-amazon-queen)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Depends: ${shlibs:Depends},${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of two games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky        (package name: beneath-a-steel-sky)
  - Flight of the Amazon Queen (package name: flight-of-the-amazon-queen)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --datadir=/usr/share/scummvm --enable-release

## scummvm 1.3.0

=== debian/changelog ===
scummvm (1.3.0-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with ld --as-needed (Closes: #607182)
  * Version debhelper build dep for debhelper override support

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 25 May 2011 19:02:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: scummvm
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
-Build-Depends: debhelper (>= 7), nasm [i386], libsdl1.2-dev, libmad0-dev, libasound2-dev [linux-any], libvorbis-dev, libmpeg2-4-dev, libflac-dev, libz-dev, libfluidsynth-dev, python
+Build-Depends: debhelper (>= 7.0.50~), nasm [i386], libsdl1.2-dev, libmad0-dev, libasound2-dev [linux-any], libvorbis-dev, libmpeg2-4-dev, libflac-dev, libz-dev, libfluidsynth-dev, python
 Standards-Version: 3.9.1
 Build-Conflicts: liboss-salsa-dev
 Homepage: http://www.scummvm.org

## scummvm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/Makefile $
-# $Id: Makefile 52582 2010-09-05 23:17:52Z lordhoto $
+# $URL$
+# $Id$
 
 #######################################################################
 # Default compilation parameters. Normally don't edit these           #
@@ -26,7 +26,7 @@
 	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
 	# Enable even more warnings...
 	CXXFLAGS+= -Wpointer-arith -Wcast-qual
-	CXXFLAGS+= -Wshadow -Wimplicit -Wnon-virtual-dtor -Wwrite-strings
+	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings
 
 	# Currently we disable this gcc flag, since it will also warn in cases,
 	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
@@ -48,9 +48,12 @@
 	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
 endif
 
-# Warn if global constructors are used. Only available in GCC with LLVM backend
-# (and maybe clang?), hence off by default.
-#CXXFLAGS+= -Wglobal-constructors
+ifeq "$(HAVE_ICC)" "1"
+	# Disable some warnings:
+	#  161: unrecognized #pragma
+	# 1899: multicharacter character literal (potential portability problem)
+	CXXFLAGS+= -diag-disable 161,1899
+endif
 
 #######################################################################
 # Default commands - put the necessary replacements in config.mk      #
@@ -69,7 +72,7 @@
 # Misc stuff - you should never have to edit this                     #
 #######################################################################
 
-EXECUTABLE  := scummvm$(EXEEXT)
+EXECUTABLE  := $(EXEPRE)scummvm$(EXEEXT)
 
 include $(srcdir)/Makefile.common

=== devtools/create_drascula/Makefile ===
# $Id$

all:
	g++ -I../.. create_drascula.cpp -o create_drascula

=== devtools/create_lure/Makefile ===
# $Id$

all:
	g++ -I../.. create_lure_dat.cpp process_actions.cpp -o create_lure

=== devtools/create_mads/Makefile ===
# $Id$

all:
	g++ -I../.. main.cpp parser.cpp -o create_mads

=== backends/platform/dc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/backends/platform/dc/Makefile $
-# $Id: Makefile 52803 2010-09-19 12:37:24Z marcus_c $
+# $URL$
+# $Id$
 
 ronindir = /usr/local/ronin
 
@@ -21,8 +21,8 @@
 CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
 PLUGIN_PREFIX =
 PLUGIN_SUFFIX = .plg
-PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf
-PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib
+PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf plugin_head.o
+PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib plugin_head.o
 MKDIR = mkdir -p
 RM = rm -f
 RM_REC = rm -rf
@@ -65,7 +65,7 @@
 ENABLE_TUCKER = $(ENABLED)
 
 OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
-	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o
+	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o
 
 MODULE_DIRS += ./
 
@@ -81,7 +81,9 @@
 
 plugin_dist : plugins
 	for p in $(PLUGINS); do \
-	  sh-elf-strip -g -o "`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`" "$$p"; \
+	  t="`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`"; \
+	  sh-elf-strip -g -o "$$t" "$$p"; \
+	  ./check_plugin_symbols "$$t"; \
 	done
 
 dist : SCUMMVM.BIN plugin_dist

=== backends/platform/n64/Makefile ===

TOOLPATH = /opt/mips64-toolchain
LIBN64PATH = $(TOOLPATH)/hkz-libn64/
GCCN64PREFIX = $(TOOLPATH)/bin/mips64-

srcdir = ../../..
VPATH = $(srcdir)

CC = $(GCCN64PREFIX)gcc
CXX = $(GCCN64PREFIX)g++
AS = $(GCCN64PREFIX)as
LD = $(GCCN64PREFIX)g++
OBJCOPY = $(GCCN64PREFIX)objcopy
AR = $(GCCN64PREFIX)ar cru
RANLIB = $(GCCN64PREFIX)ranlib

DEFINES += -D__N64__ -DLIMIT_FPS -DNONSTANDARD_PORT -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DDISABLE_FANCY_THEMES -DDISABLE_DOSBOX_OPL -DENABLE_VKEYBD -DUSE_ZLIB
LIBS += -lpakfs -lframfs -ln64 -ln64utils -lromfs

#DEFINES += -D_ENABLE_DEBUG_

USE_LIBMAD=0
USE_LIBOGG=1

ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

LIBS += -lm -lstdc++ -lc -lgcc -lz -lnosys

CXXFLAGS = -g -mno-extern-sdata -O2 --param max-inline-insns-auto=20 -fomit-frame-pointer -march=vr4300 -mtune=vr4300 -mhard-float -fno-rtti -fno-exceptions -Wno-multichar -Wshadow -I$(LIBN64PATH) -I$(TOOLPATH)/include -I./ -I$(srcdir) -I$(srcdir)/engines
LDFLAGS = -g -march=vr4300 -mtune=vr4300 -nodefaultlibs -nostartfiles -mno-crt0 -L$(LIBN64PATH) -L$(TOOLPATH)/lib $(LIBS) -T n64ld_cpp.x -Xlinker -Map -Xlinker scummvm.map

TARGET = scummvm
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf

VERBOSE_BUILD=1
HAVE_GCC3=1
USE_RGB_COLOR=0

ENABLED=STATIC_PLUGIN

#ENABLE_SCUMM = $(ENABLED)
#ENABLE_SCI = $(ENABLED)
#ENABLE_GOB = $(ENABLED)
#ENABLE_PARALLACTION = $(ENABLED)
#ENABLE_KYRA = $(ENABLED)
#ENABLE_AGOS = $(ENABLED)
#ENABLE_AGI = $(ENABLED)
#ENABLE_QUEEN = $(ENABLED)
#ENABLE_MADE = $(ENABLED)
#ENABLE_SAGA = $(ENABLED)
#ENABLE_TEENAGENT = $(ENABLED)
#ENABLE_DRACI = $(ENABLED)

OBJS :=	nintendo64.o osys_n64_base.o osys_n64_events.o osys_n64_utilities.o pakfs_save_manager.o framfs_save_manager.o

BACKEND := n64

include $(srcdir)/Makefile.common

MODULE_DIRS += ./

all: $(TARGET).v64

$(TARGET).v64: $(TARGET).bin ROMFS.img bootcode
	cat bootcode $(TARGET).bin ROMFS.img > $(TARGET).v64
	./pad_rom.sh $(TARGET).v64

ROMFS.img:
	genromfs -f ./ROMFS.img -d ./ROMFS -V romtest

$(TARGET).elf: $(OBJS)
	$(LD) -o $(TARGET).elf $(OBJS) $(LDFLAGS)

$(TARGET).bin : $(TARGET).elf
	$(OBJCOPY) $(TARGET).elf $(TARGET).bin -O binary

spotless : distclean
	$(RM) *.bin *.elf *.v64 *.img *.bak *.tmp *.map

send: $(TARGET).v64
	sudo ucon64 --xv64  $(TARGET).v64

=== backends/platform/psp/Makefile ===
# SCUMMVM-PSP MakeFile
# $URL$
# $Id$


#Use only this section to modify how the makefile behaves ------------

# Scummvm engine config: choose which engines are enabled
ENABLE_SCUMM = $(ENABLED)
ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_AGOS2 = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRACI = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_GROOVIE2 = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LOL = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SAGA2 = $(ENABLED)
ENABLE_SCI = $(ENABLED)
ENABLE_SCI32 = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TEENAGENT = $(ENABLED)
ENABLE_TINSEL = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

# Set to 1 to enable seeing the commands to gcc
VERBOSE_BUILD=1
# Set to 1 to enable, 0 to disable dynamic modules
DYNAMIC_MODULES = 1
# Set to 1 to enable profiling
ENABLE_PROFILING = 0
# Set to 1 to enable, 0 to disable libmad and libogg
USE_LIBMAD = 1
USE_LIBOGG = 1
# --------------------------------------------------------------------


# General variables
srcdir = ../../..
VPATH = $(srcdir)
TARGET = scummvm-psp
# PSP SDK location variables
PSPSDK := $(shell psp-config --pspsdk-path)
PSPBIN = $(PSPSDK)/../bin

#check PSPSDK presence
ifeq ($(PSPSDK),)
$(error $$(PSPSDK) cannot be obtained.)
endif

# Variables for common Scummvm makefile
CXX      = psp-g++
CXXFLAGS = -O3 -Wall -Wno-multichar -fno-exceptions -fno-rtti
DEFINES  = -D__PSP__ -DNONSTANDARD_PORT -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_ZLIB  -DDISABLE_DOSBOX_OPL -DUSE_RGB_COLOR -DUSE_ELF_LOADER -DMIPS_TARGET

LDFLAGS  :=
INCDIR   := $(srcdir) . $(srcdir)/engines/ $(PSPSDK)/include
INCLUDES := $(addprefix -I, $(INCDIR))
DEPDIR = .deps
MODULE_DIRS += ./
MKDIR	= mkdir -p
RM	= rm -f
RM_REC	= rm -rf
AR      = psp-ar cru
RANLIB  = psp-ranlib
AS      = psp-gcc
LD      = psp-gcc
HAVE_GCC3 = true
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP

# Variables for dynamic plugin building
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = $(srcdir)/backends/plugins/elf/plugin.syms scummvm-psp.elf
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,--just-symbols=scummvm-psp.org.elf,-T$(srcdir)/backends/plugins/psp/plugin.ld,--retain-symbols-file,$(srcdir)/backends/plugins/elf/plugin.syms -lstdc++ -lc

# PSP-specific variables
STRIP   = psp-strip
MKSFO	= mksfoex -d MEMSIZE=1
PACK_PBP = pack-pbp
FIXUP	= psp-fixup-imports

# Test for adding different libs
ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

# Test for dynamic plugins
ifeq ($(DYNAMIC_MODULES),1)
ENABLED = DYNAMIC_PLUGIN
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
else
ENABLED = STATIC_PLUGIN
endif

# Test for profiling
ifeq ($(ENABLE_PROFILING),1)
DEFINES += -DENABLE_PROFILING
CXXFLAGS += -pg -g
LDFLAGS += -pg
endif

# PSP LIBS
PSPLIBS =  -lpspprof -lpspvfpu -lpspdebug -lpspgu -lpspge -lpspdisplay -lpspctrl -lpspsdk \
	-lpsputility -lpspuser -lpsppower -lpsphprm -lpspsdk -lpsprtc -lpspaudio -lpspaudiocodec \
	-lpspkernel -lpspnet_inet


# Add in PSPSDK includes and libraries.
LIBS     += -lpng -lz -lstdc++ -lc -lm $(PSPLIBS)

OBJS := powerman.o \
	psp_main.o \
	osys_psp.o \
	psppixelformat.o \
	memory.o \
	display_manager.o \
	display_client.o \
	default_display_client.o \
	input.o \
	cursor.o \
	trace.o \
	pspkeyboard.o \
	audio.o \
	thread.o \
	rtc.o \
	mp3.o \
	png_loader.o \
	image_viewer.o \
	tests.o \
	dummy.o


BACKEND := psp

# Include common Scummvm makefile
include $(srcdir)/Makefile.common

# Variables for PSP-specific rules
PSP_EBOOT_SFO = param.sfo
PSP_EBOOT_TITLE = ScummVM-PSP
PSP_EBOOT = EBOOT.PBP
PSP_EBOOT_ICON = icon0.png
PSP_EBOOT_ICON1 = NULL
PSP_EBOOT_PIC0 = pic0.png
PSP_EBOOT_PIC1 = pic1.png
PSP_EBOOT_SND0 = NULL
PSP_EBOOT_PSAR = NULL

LDFLAGS += -Wl,-T../../plugins/psp/main_prog.ld

all: $(PSP_EBOOT)

$(TARGET).elf: $(OBJS)
	$(LD) $(PRE_OBJS_FLAGS) $(OBJS) $(POST_OBJS_FLAGS) $(LDFLAGS) $(LIBS) -o $@
	cp $(TARGET).elf $(TARGET).org.elf
	$(FIXUP) $@

$(PSP_EBOOT_SFO):
	$(MKSFO) '$(PSP_EBOOT_TITLE)' $@

$(PSP_EBOOT): $(TARGET).elf $(PSP_EBOOT_SFO)
	$(STRIP) $(TARGET).elf
	$(PACK_PBP) $@ $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON) $(PSP_EBOOT_ICON1) \
		$(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1) $(PSP_EBOOT_SND0)  \
		$(TARGET).elf $(PSP_EBOOT_PSAR)

kxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "$(TARGET)"
	$(STRIP) $(TARGET).elf -o $(TARGET)/$(PSP_EBOOT)
	mkdir -p "$(TARGET)%"
	$(PACK_PBP) "$(TARGET)%/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

SCEkxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "__SCE__$(TARGET)"
	$(STRIP) $(TARGET).elf -o __SCE__$(TARGET)/$(PSP_EBOOT)
	mkdir -p "%__SCE__$(TARGET)"
	$(PACK_PBP) "%__SCE__$(TARGET)/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

=== backends/platform/wince/Makefile ===
# ScummVM Makefile for Windows CE port
# Uses the cegcc toolchain. For build info check out the wiki: http://wiki.scummvm.org
# $URL$
# $Id$

########################################################################
## Do you want a debug build or not?

#WINCE_DEBUG_BUILD = 1
#UNOPTIMIZED_BUILD = 1

########################################################################
## Do you want a build using plugins?

#DYNAMIC_MODULES = 1
# TODO: You'll need to change STATIC_PLUGIN to DYNAMIC_PLUGIN below

########################################################################
## Enable whichever engines you want here

ENABLE_SCUMM = STATIC_PLUGIN
ENABLE_SCUMM_7_8 = 1
ENABLE_HE = 1
ENABLE_SKY = STATIC_PLUGIN
ENABLE_QUEEN = STATIC_PLUGIN
ENABLE_GOB = STATIC_PLUGIN
ENABLE_LURE = STATIC_PLUGIN
ENABLE_CINE = STATIC_PLUGIN
ENABLE_SAGA = STATIC_PLUGIN
ENABLE_IHNM = 1
#ENABLE_SAGA2 = 1
ENABLE_KYRA = STATIC_PLUGIN
ENABLE_AGI = STATIC_PLUGIN
ENABLE_AGOS = STATIC_PLUGIN
ENABLE_SWORD1 = STATIC_PLUGIN
ENABLE_SWORD2 = STATIC_PLUGIN
ENABLE_TOUCHE = STATIC_PLUGIN
ENABLE_PARALLACTION = STATIC_PLUGIN
ENABLE_DRASCULA = STATIC_PLUGIN
ENABLE_GROOVIE = STATIC_PLUGIN
ENABLE_TUCKER = STATIC_PLUGIN
ENABLE_TINSEL = STATIC_PLUGIN
ENABLE_CRUISE = STATIC_PLUGIN
ENABLE_MADE = STATIC_PLUGIN
#ENABLE_SCI = STATIC_PLUGIN
#ENABLE_M4 = STATIC_PLUGIN

########################################################################
## Pick which libraries you want to use here

USE_MAD           = 1
#USE_MPEG2         = 1
#USE_TREMOR        = 1
USE_TREMOLO       = 1
#USE_FLAC          = 1
USE_ZLIB          = 1

########################################################################
## For remote deployment (copying the built files onto a device
## automatically), we need to know various things, like which
## tools to use. I use pput and pdel from
##     http://www.xs4all.nl/~itsme/projects/xda/tools.html
## and I keep my installation on the storage card, but other people
## may prefer other things.

REMOTE_COPY      = pput
REMOTE_DELETE    = pdel
REMOTE_DIRECTORY = \Storage Card\Program Files\Scummvm

########################################################################
## You're probably not going to want to change these defines...

USE_SCALERS = 1
USE_HQ_SCALERS = 1
USE_ARM_SOUND_ASM = 1
USE_ARM_SMUSH_ASM = 1
USE_ARM_GFX_ASM   = 1
USE_ARM_COSTUME_ASM = 1
USE_ARM_SCALER_ASM = 1

########################################################################
##    Hopefully you shouldn't need to change anything below here.     ##
########################################################################


srcdir    = ../../..
VPATH     = $(srcdir)

CXX    = arm-wince-mingw32ce-g++
LD     = arm-wince-mingw32ce-g++
AR     = arm-wince-mingw32ce-ar cru
RANLIB = arm-wince-mingw32ce-ranlib
STRIP  = arm-wince-mingw32ce-strip
WINDRES= arm-wince-mingw32ce-windres
MKDIR  = mkdir -p
RM     = rm -f
RM_REC = rm -rf
ECHO   = echo -n
CAT    = cat
AS     = arm-wince-mingw32ce-as

########################################################################
## Set up defines, includes, cflags etc

DEFINES := -D_WIN32_WCE=300 -D__ARM__ -D_ARM_ -DUNICODE -DSCUMM_NEED_ALIGNMENT
DEFINES += -DFPM_DEFAULT

DEFINES += -DNONSTANDARD_PORT
DEFINES += -DWIN32
DEFINES += -Dcdecl= -D__cdecl__= -Wno-multichar

INCLUDES := -I$(srcdir) -I. -I$(srcdir)/engines -Imissing/gcc -Ilibs/include -Ilibs/include/sdl -ICEgui -ICEkeys

CFLAGS :=
ifndef UNOPTIMIZED_BUILD
CFLAGS += -O3 -fno-inline-functions -march=armv4 -mtune=xscale
endif

LDFLAGS := -Wl,-Map,scummvm.exe.map -Wl,--stack,65536
LIBS := -Llibs/lib -lSDL

ifdef WINCE_DEBUG_BUILD
DEFINES += -DDEBUG -DUSE_WINDBG
CFLAGS += -g
LDFLAGS += -debug
endif

ifdef USE_ZLIB
DEFINES += -DUSE_ZLIB
LIBS += -lzlib
endif

ifdef USE_MAD
DEFINES += -DUSE_MAD
LIBS += -lmad
endif

ifdef USE_MPEG2
DEFINES += -DUSE_MPEG2
LIBS += -lmpeg2
endif

ifdef USE_TREMOR
DEFINES += -DUSE_TREMOR -DUSE_VORBIS
LIBS += -ltremorce
endif

ifdef USE_TREMOLO
DEFINES += -DUSE_TREMOR -DUSE_VORBIS -DUSE_TREMOLO
INCLUDES += -Ilibs/include/tremolo
LIBS += -llibTremolo
endif

ifdef USE_FLAC
DEFINES += -DUSE_FLAC
LIBS += -lFLAC
endif

ifdef USE_SCALERS
DEFINES += -DUSE_SCALERS
endif

ifdef USE_HQ_SCALERS
DEFINES += -DUSE_HQ_SCALERS
endif

ifdef USE_ARM_SMUSH_ASM
DEFINES += -DUSE_ARM_SMUSH_ASM
endif

ifdef USE_ARM_GFX_ASM
DEFINES += -DUSE_ARM_GFX_ASM
endif

ifdef USE_ARM_COSTUME_ASM
DEFINES += -DUSE_ARM_COSTUME_ASM
endif

ifdef USE_ARM_SCALER_ASM
DEFINES += -DUSE_ARM_SCALER_ASM
endif

########################################################################
# Targets follow here

EXECUTABLE = scummvm.exe
CXXFLAGS := $(CFLAGS)
OBJS :=
MODULE_DIRS += ./
DEPDIR = .deps

OBJS += CEActionsPocket.o CEDevice.o CEScaler.o \
        CEActionsSmartphone.o CELauncherDialog.o wince-sdl.o
OBJS += CEgui/GUIElement.o CEgui/Panel.o CEgui/SDL_ImageResource.o \
        CEgui/ItemAction.o CEgui/PanelItem.o CEgui/Toolbar.o \
        CEgui/ItemSwitch.o CEgui/PanelKeyboard.o CEgui/ToolbarHandler.o
OBJS += CEkeys/EventsBuffer.o
OBJS += $(srcdir)/gui/Actions.o $(srcdir)/gui/Key.o $(srcdir)/gui/KeysDialog.o
OBJS += ../sdl/sdl.o ../sdl/graphics.o ../sdl/events.o ../sdl/hardwarekeys.o
OBJS += missing/missing.o
OBJS += smartLandScale.o
ifndef DYNAMIC_MODULES
OBJS += PocketSCUMM.o
endif

ifdef DYNAMIC_MODULES
EXECUTABLE		 = scummvm.dll
PLUGIN_PREFIX		:=
PLUGIN_SUFFIX		:= .dll
PLUGIN_EXTRA_DEPS	 = $(EXECUTABLE)
CXXFLAGS		+= -DDYNAMIC_MODULES
PLUGIN_LDFLAGS		:= -shared -L. -lscummvm -Llibs/lib
PRE_OBJS_FLAGS		:= -Wl,--whole-archive
POST_OBJS_FLAGS		:= -Wl,--export-all-symbols -Wl,--no-whole-archive -Wl,--out-implib,./libscummvm.a -shared
endif

include $(srcdir)/Makefile.common

########################################################################
## Our top level target, and what we deploy depends on whether we are
## building the plugin version or not...
ifdef DYNAMIC_MODULES

all: dist-plugins

deploy: deploy-plugins deploy-exe

else

all: dist

deploy: deploy-exe

endif

dist: PocketSCUMM.o $(EXECUTABLE)

dist-plugins: $(EXECUTABLE) plugins PocketSCUMM.o plugins-stub

plugins-stub: stub.o
	$(CXX) stub.o PocketSCUMM.o -L. -lscummvm -o scummvm.exe

PocketSCUMM.o: PocketSCUMM.rc
	$(WINDRES) $*.rc $@

all-clean: clean
	$(RM) PocketSCUMM.o stub.o

deploy-plugins: dist-plugins
	@echo Deploying DLLs
	-$(REMOTE_MKDIR) "$(REMOTE_DIRECTORY)"
	-$(REMOTE_DELETE) "$(REMOTE_DIRECTORY)\*.dll"
	$(REMOTE_COPY) plugins/*.dll "$(REMOTE_DIRECTORY)"
	$(REMOTE_COPY) scummvm.dll "$(REMOTE_DIRECTORY)"

deploy-exe: dist
	@echo Deploying modern theme - errors are normal here!
	-$(REMOTE_MKDIR) "$(REMOTE_DIRECTORY)"
	@-$(REMOTE_COPY) ../../../gui/themes/modern.ini "$(REMOTE_DIRECTORY)"
	@-$(REMOTE_COPY) ../../../gui/themes/modern.zip "$(REMOTE_DIRECTORY)"
	@echo Deploying EXE
	-$(REMOTE_DELETE) "$(REMOTE_DIRECTORY)\scummvm.exe"
	$(REMOTE_COPY) scummvm.exe "$(REMOTE_DIRECTORY)"

=== debian/changelog ===
scummvm (1.3.1) unstable; urgency=low

  * 1.3.1 release

 -- Anton Novosyolov <anton.novosyolov@gmail.com>  Sun, 28 Aug 2011 00:15:15 +0400

=== debian/control ===
Source: scummvm
Section: user/games
Priority: optional
Maintainer: Frantisek Dufka <dufkaf@seznam.cz>
Build-Depends: debhelper (>> 4.0.0), libsdl1.2-dev, libmad0-dev, libvorbisidec-dev, libflac-dev (>= 1.1.2), libz-dev, quilt

Standards-Version: 3.6.1.1
Package: scummvm
Depends: ${shlibs:Depends}
Architecture: i386 armel
Section: user/games
Description: interpreter that will play graphic adventure games
 written for LucasArts' SCUMM virtual machine, Sierra's AGI adventures,
 Adventure Soft's Simon the Sorcerer 1, 2 and Feeble Files,
 Revolution Software's Beneath a Steel Sky and Broken Sword 1 and 2,
 Interactive Binary Illusions' Flight of the Amazon Queen,
 Coktel Vision's Gobliiins, Wyrmkeep's Inherit the Earth,
 Westwood's Legend of Kyrandia, and various others.
 This package does not contain any actual games.
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=63881
XB-Maemo-Display-Name: ScummVM
XBS-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAMF0lEQVRo3s2a
  eYxf11XHP/e+5feb1TO2U9uxncZ20qQJqhM3ldIWQkPSkERBTSl/EMnFKIBE
  JUJUQQViCaJBokApFAWVgkBtSJRS2gA1gpCmEEpKImdz4tiO601x4t3zm/lt
  b7nb4Y/3xvF4ZmzPxAWedKW3v/O99yzfc85TXLztMuB64EpgFTAKxIABWsAb
  wC7gZaDL/5PtfcAfA/uAAMgFDAM8B/wWcNX/leDXA08sQOj5RgCeBu4C1P+G
  4AnwOcCdS7C0oWVkSUNGlqSSNvWFgvkusHGhAi0E9TDwOPDRsy+su2IZt3/8
  Gq774bWsu3YpQ8tARxBwOF+SdwqOHJxk3ysTvPD0Yf7ryePkfT/XNyzwR8Bn
  gfJiAkiBfwV+7MyT125cxac/exvX3byeju+Q+zZOCqz0UWg8liCWSKUoIiKV
  IEwR8pM89/hJvv7QCQ7tm1PO54GfAg5dLABfAD59+iGtuO/XP8LP/NrNdENG
  5k/S8W9gQwZKI2IJeJz00SREqoFWKUjAY1BEJLrBkDJ877Ej/OXvHqbdCmd/
  82i92jvfKYAP1F5DAygFDz50F7d8chNtO0HXv0nPv0UeTpKoYbRK8VLiJcOF
  PpEaINWjKGICjoYeIyJFqQiRgKeNnzzEl+5rse2pWSAOAzcAx+YTLroAAH9d
  +3YA7r3//dx9/w207FHafj89fwgjk4CQqCECltwdpdeboCxyJC4QHCZM4STD
  S0EZWhipjo306cddbrjDE+eKPS/Jmd8eBdYA31zsCqwH9k7P/qVrh/jaS5tp
  0aHldlOGCbwYkIAASmmM65J3C4o2qAiiFHxZGXXchLipKgP3QpRodKSREMha
  gf4h2LUV/vkrAXl7MVwtx5tzCRifB8DHpoUH2PxL19BROZk/gZcCIWB9Bx8M
  IuCd4HLoHoN+SxAH4hVBhCitQDRHoDEKcQqNkUDcDJg+TB2GySPCmo2KS1Yp
  ThyWM2X84GIB3PS24cKHPraCPExhQhtNAiiUitA6wlmHBHAFdI8LoaM49Dy0
  jsDgEsWqDYqRS4W8JSTD0BhSDI5DOgz9CWgfEWwO3YOKE4dn2IKvB4sBcO30
  zso1DZorDL2yIIhF8Cg0jWgpXkoS7bBJj7Jt0ZHiwHPwxCMzjXLpuxTX36S4
  4kZop0LRqVQs70DZh6Gg+NZjswx5O9CeT0B9HgArp3fWXB7T8xUHi9QAiphI
  NRE8QQxOcpy1RCmMXAKmmP2y1gnhO98IPPqgcHSbIrQVneNQ9CBViue3Qqc1
  w4ilNuCjiwGg6wAGQKMpuGAAIWCw0sWESYxv48UQpFKheADSUbjhLsXQyNwv
  7rWFJx4JfPsvhKSniID+IcX2Z2bN/lPA68CBxQAINXMEwBiLkRZ5OEURTlKG
  CUo/hQsZXnKEQNpsMDg0QtyA5gbht78Rc+X75nd0B18Xvv75wMQriqceC4jM
  igF/WwPIFxsHtgDLq7UUbv35kr6z2NDD+QwJAWTaFwsKjbMGkwnJIAyubXDn
  lnHWrmzw/ZcNRSazPmBK2PuqkPdnnM6A36tp+ou1Ki0KwEeAawD6HfiRu4U8
  znDOIlL5eaVVhUAg+IB3gjcQNyBtDgDLWXvdMu6+dynDieL17TnOyvmC558D
  LwHPnKkFiwGwErgDQASWL1MsuRyCQNJUJEkDrZJK20RQugIVPOgYokQT6YSA
  IsSDvOfDY9y1uUkxadm/c165DgB/AzwLTJ4P6fm80D+c6YOffDQQdxTBQRTH
  aGJEPCKV/oqHYGvnbcF7gw09gpQEMZgQcEuH2fyn7+bz/7Kcy67U803qIeD4
  hbDM861Ap04y3guQdaGpFSuuAh8CzllCqPCJgM1qwS0EA1FDiLQGFIGKVkeq
  gQ+aeIXm9s2a7Lhj32sz4tRYbbjPXgwA1HT2F6bvPfCasP7dGhvA9KoZDyWY
  LkiA5rCmMRCho0CS1KsUPDGDJGoEEV8nooqSmI23W0YTy6v/PcMufhR4Ejhy
  MQCcrOPBTdMzvecFYcN6TdBCFCkU0BiEofGUZjKKJgJlUUEj4tESo4go3STG
  T+J9TggGCZbM5qy6xjGeal57bgb/uQN4FOi/UwDU+cCHgcsBnIXvvyRs2BCR
  DFQkbWAUtALvDFk7J2sJNgtEOhBHKUoUIVicz3C+XyU9wSPBYb1j7VWK9huK
  tw7IBVPphQBwdfXgnjo3xlnYvU0YG1QsGYNuS3CZYItAMQkuByXQGFDEUYqW
  BAkB7wqUKAiCBE+wBgmQ9eGKqxUvPFnFhnr7IWDruajEhQKgJlQFcOdpoiKw
  f6cwdRjWrNWYEsqu4I2iMQADI9BoJsRqkEgaSHAQhFgNEZzHlQZfQnDgMshz
  GB/U7H47qVFnFBMW5UbP3i6Z6+TeHcIjn/Ps/x6EjiKbFExvmkyNkIRRlItR
  NiLxoygb4wqP7dWeK4c4hiiBTR9VJOmM1/8EsPRirMBdwEPzPeMdHNwtvLUH
  Vq/RxCkEBSoxoBQigvMG60uKskfe9TgDaVOTNFNEBUwBPsCpAzMSmgawDdj9
  TgD8eL2MjfPd2O/Azm2C6ysuvUxhfIC4wIUc5y3OWZytWGdjcIBGugzvA8YY
  yh50JqGcgAO75OwKxb8tVoVuriNyEyBJI7Z8ahODQ/PnQiLw8jOBhx8M5G8p
  XCaYwmOtxxSBIAodpRAaFGVOv9cj7wimrAx4aGzWK68+k9ovBMAm4J+AgekT
  v/H7d/LJz9zGn/zdbYwvS85t9S3hrx7wyGSE1inOVALaUihLQz9r08/a5F3B
  GHAOilzws9ICltVudUEAVtTCn05L7r7nOm79xAcpypixtSv5w8c3sfFDA+cE
  YQ188880y0dWodUQqAjvFaaoBPZOYS2YHPIuZJ05s7kEGFwogC/VgaRKjq+/
  hE89cAunulP08gl6eY+cAX7xC+v4lS+uZM26dH67aEcMpatI1HIa8XLSaAwd
  JWjVJHiNNVDmUORVfMl7s15RzJe/z6fIG4GPn2ZXyxI+88UPcHjqCC4YCtuh
  dF2szwiZsPTqUX7na6s5tN3zzNZTbPvP4/S7FS1NGxFb7t9Er58gQeOcw/qc
  IODEYgpP2a8Et0ZAYPIEc5UZZSEAbj3z4Gd/c4zD2UEUTXywGNet8uBgAEWk
  mxw9FTN+xQq2PHAF9w+OkLUgzxyjy2Na5UmOT+2nV57CugznHEpXxp51qhl3
  ttofThRvvD5L1v3zcaL5AMxIx9/Y20KvamG8RkUKpQJaRaAg0ikiGuuOUdgO
  WTnF8WiANB6CBI6dnKCTHyYvJ09nctNVN1fWOp9XZRVbwuRx6E7J2TRmZ03t
  LxjAjIrwP37Zc8+wprHGoeKqlhM3PUkaEQEuFBRlD6XaGN8jUimxbuDFkJtJ
  rLMEVxXHoKLgpgSTVSCCrwLh6IDi3/9+1uzvqGl1sZBAdhC49/RKCOx+Xli/
  QRMisLaqUoMQgsWYKpFHw0BjlFg3cKEgNy2scSAQxRVr9aaqA5VZBcCWladK
  Nex/Fg7umgXg4To3PrkQAK5O6X7ydI0lwJ4XhZUrNHGz8hjT2ZcrQBQMjw7Q
  TEexPsOGjDIz+Kr2i7dgc8jaUHSrfVOALaAZwdEdihf/Y07df7iuTJiFUonX
  gNV1MKsWIsD+HUKKYsVqRbdTzaT3kCQQxNPrten3csrMkXdrwUsoe5BNVcPk
  1bngYElTsetp2P7dWcL7ugP6Sq0RiyqvjwJfBn767AtjyxXvv0WxfB30TaU+
  Ogat665dqHQ7Titv4y04U61krGG4qTixD178TqA7Nee3H6mTmW+fKyu7kA7N
  UuAPgJ+b6/7RpfCe6zQr1sHou8CLUNpqVaTu6EQa0lihBdrH4OgBYe8rQjZ/
  u/tbNYAXzjX7C+mRjQH3Ab86HyeBykhHxxUj49BoVobrXRVlO5NV4VbOXdMq
  ga+eURPdcTF7xEO1UT9d66dc5PEy8MvAJ+oO/gVN7kK741FNbW+rqcaNNdFa
  7BbqEuLWOmGZqo8nfhCN7rOb3u+tx431rwdXAeMX8Gyr7ru9WveDp+qfP/bU
  P4SEH1Snfq5tgOovldW1sY/XNHysvhbVMaVfC3oc6NVCFnX79M06SIXFCHAx
  f7Bo1IIvqbl74wyq4utAlNez3a6ByDv96P8AVBZpLd3RRB4AAAAASUVORK5C
  YII=

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

build: scummvm

scummvm:
	dh_testdir
	CXXFLAGS="-Os -DMAEMO_SDL -I/usr/X11R6/include" ./configure --prefix=/usr --disable-debug --disable-mt32emu  --disable-hq-scalers --with-tremor-prefix=/usr --enable-tremor --with-zlib-prefix=/usr --enable-zlib --with-mad-prefix=/usr --enable-mad --enable-flac --disable-alsa --prefix=/opt/scummvm --datadir=/opt/scummvm/share
##  -mcpu=arm926ej-s -fomit-frame-pointer --host=arm-linux --enable-plugins --disable-scumm-7-8
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
# not as a service
#	install -m0755 dists/maemo/scummvm.wrapper debian/scummvm/usr/games/scummvm
#	install -m0644 dists/maemo/scummvm.desktop debian/scummvm/usr/share/applications/hildon
# run as fake dbus-service to enable switching back to application from desktop via home key
	install -m0755 dists/maemo/scummvm.servicewrapper debian/scummvm/usr/games/scummvm
	install -m0644 dists/maemo/scummvm.servicedesktop debian/scummvm/usr/share/applications/hildon/scummvm.desktop
	install -m0644 dists/maemo/scummvm.service debian/scummvm/usr/share/dbus-1/services
# end of fake dbus service
	install -m0644 dists/maemo/scummvm26.png debian/scummvm/usr/share/icons/hicolor/26x26/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm40.png debian/scummvm/usr/share/icons/hicolor/40x40/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm48.png debian/scummvm/usr/share/icons/hicolor/48x48/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm64.png debian/scummvm/usr/share/icons/hicolor/64x64/hildon/scummvm.png
	install -m0644 icons/scummvm.xpm debian/scummvm/usr/share/icons
#	install -m0644 -d debian/scummvm/usr/lib/scummvm
#	install -m0644 plugins/lib*.so debian/scummvm/usr/lib/scummvm
##non-optified version
#	install -m0755 scummvm debian/scummvm/usr/games/scummvm.bin
#	install -m0644 -d debian/scummvm/usr/share/scummvm
#	install -m0644 dists/pred.dic debian/scummvm/usr/share/scummvm
#	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/usr/share/scummvm
# optified version (save rootfs space on N900), see also configure prefix and datadir paths above
	install -m0644 -d debian/scummvm/opt/scummvm/bin
	install -m0755 scummvm debian/scummvm/opt/scummvm/bin
	install -m0644 -d debian/scummvm/opt/scummvm/share
	install -m0644 dists/pred.dic debian/scummvm/opt/scummvm/share
	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip gui/themes/translations.dat debian/scummvm/opt/scummvm/share
# for optified version we can also add engine datafiles
	install -m0644 dists/engine-data/drascula.dat dists/engine-data/kyra.dat dists/engine-data/lure.dat dists/engine-data/queen.tbl dists/engine-data/sky.cpt dists/engine-data/teenagent.dat debian/scummvm/opt/scummvm/share

	install -m0644 -d debian/scummvm/usr/share/doc/scummvm
	install -m0644 NEWS README COPYRIGHT debian/scummvm/usr/share/doc/scummvm	 
binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: build clean binary install binary-arch binary-indep

## scummvm 1.4.0

=== backends/platform/maemo/debian/control ===
Source: scummvm
Section: user/games
Priority: optional
Maintainer: Tarek Soliman <tsoliman@scummvm.org>
Build-Depends: debhelper (>> 4.0.0), libsdl1.2-dev, libmad0-dev, libasound2-dev, libvorbisidec-dev, libmpeg2-4-dev, libflac-dev (>= 1.1.2), libz-dev, quilt

Standards-Version: 3.6.1.1
Package: scummvm
Depends: ${shlibs:Depends}
Architecture: armel
Section: user/games
Description: interpreter that will play graphic adventure games
 written for LucasArts' SCUMM virtual machine, Sierra's AGI adventures,
 Adventure Soft's Simon the Sorcerer 1, 2 and Feeble Files,
 Revolution Software's Beneath a Steel Sky and Broken Sword 1 and 2,
 Interactive Binary Illusions' Flight of the Amazon Queen,
 Coktel Vision's Gobliiins, Wyrmkeep's Inherit the Earth,
 Westwood's Legend of Kyrandia, and various others.
 This package does not contain any actual games.
XBS-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAC/VBMVEUICwcH
  CQUKDAgLDQoMDwsOEAwREAUPEQ0QEg8PFQoRExAUEwoVFAwPGAcTFBIRFg0W
  FQ0XFg4RGgkTGA8XGQsTGwwUHA0aGRIWGxMXHQkVHQ8aGhMbGxQcHQocGxUZ
  HwsYIgcfHxgeIRUbJQwhIBofJAweJwgfKQocKwwgKgshKw0gLggfLg8jLQ8n
  LwwpLhEmMwcoMRQjNgotLCYmNwQlNwwqOBQtOQgsOQ8xNh4sPQswNyQqQAUw
  PAsuOiAsQgcwOyIqRgIsSAQvRgs0PyY1Rg06RA0+PDAwSwg2RxUzTQE4TQsz
  VAc/SSo6VAk4VwE6VRM2XAVAUC85XwlJVCNEXQo+YwJGXwxMWS1JXC5AagBI
  awJUagRIcQBSbwpHeAJTaD9OdwNXcwJKewZNfABacRlOfQBPfgBQfwBMggBW
  fgBNgwNSgQJOhAVecUJjdSZefwNUiABZhgBjeDZieDxhezFQjQBgghZkhQ5j
  iQJUkAZcixJmgDZnhCtckQpblgBekw5clwBqgkthlQBdmAJriz90hz5omgBs
  mAhxlgd0mAB5lgBpnA16khdzmAtxnABooQBtnwB4jUpzngBkpQR5nQF8j0Vr
  pQduoRZ4nRR3k014oQBzpAt8oAh/ogBvqA5trACBmypwqRF1pw+GogCAow+D
  pQB8phJ/nUNurxh0rRd4rwmHqQd6qDOArwCJqwyDsgCMrgB8ryiFtAB7uQN8
  sDKBuAWOsBWJqFR8ti2IsiOSswaBuRt6vxCOtgqXsgePrjR9wQCFuw2KuQyB
  uSeSuACEux6JuR2OvACAxACEvCuSuhOHujSMwQGTtiqfuACRvwGOvRWHuz2T
  wASPwwmYvwaLvTebuxiWvhmSwBqZwAmNu0aevgiKvkCVviaMvE6bwQycuTid
  vhylvQyZwB2cwg+QywCawR6fwB+bwyGI0gaewCudxCOjwyOT1ACmwjiX0g+j
  xTqmxzOd1gCV0i6kyyuoyTah1Sif2h6tzjukzF+pz1uq1Eeg2Uml3U1kaLAB
  AAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAHrSURBVCjPY2BAAC5ubkFB
  BkzAzggDfKgSUFEmKCmOIsPvktA0aVpbSYQ+FwsjkwpMBsi2m/X7z89v3759
  +ngg1UqIlZEVponJYcW/rw9unH/04u2bc0vbo+WZWGCahEv/fj+6Yc2SZfv3
  b5w6+eACHVYWmCazMz+unN44b3ZfV3dnx5yDiaKsUAOZGD2/fL58+PSGg3Gu
  buEVWyZacLCzw6S8X324fOHqibMxWpKy5okBIjAZoNOt9r47e+HOnafbe/ND
  DNWkOGAyDKwsCtXPTly4eufqm+fvHy4M1RRggsnJMLI6z9x99Oqtx7cuPP/2
  ele5LjtCGyObbcHcDfuevHn+5s319RuSpOByrEwcwsqhlcvXHbp38+LxiXP6
  DeBSTKzWvkrCun5Zq04dO7S6p67ZHibFziiRt6PYUk5YtfbUqSMTGnKyHaFS
  rMDA3fHr7tqayKDWa0dWVmXHp5lCpRgZ2QI2HTl25NLt+1t3rppRFJ8SrwGX
  4g9rmbJo0cpVqxZNaK5OS0nzF4NLMWkHZ1TVN9bXlxXmAo2L0uNgZITaxcjI
  axAYH5+RATQrPtZHk5udA+Z2cIpQN3Hy8vOwMVLmYGTidoenDSawLAsnJz8L
  kMUiY4ySpviYoKmKRVAcIyXKyIiLyygi+ADqVqrAkApevwAAAABJRU5ErkJg
  gg==

## scummvm 1.4.1~pre0036.g9373664

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0036.g9373664) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sat, 03 Dec 2011 13:37:58 -0600

scummvm (1.4.0) unstable; urgency=low

  * 1.4.0 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Thu, 03 Nov 2011 13:54:04 -0500

scummvm (1.2.1~pre) unstable; urgency=low

  * 1.2.1 testing release

 -- Frantisek Dufka <dufkaf@seznam.cz>  Wed,  8 Dec 2010 21:43:29 +0100

scummvm (1.2.0~pre) unstable; urgency=low

  * 1.2.0 testing release

 -- Frantisek Dufka <dufkaf@seznam.cz>  Fri,  8 Oct 2010 21:38:12 +0200

=== backends/platform/maemo/debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.6.1.1
 Package: scummvm
 Depends: ${shlibs:Depends}
-Architecture: armel
+Architecture: any
 Section: user/games
 Description: interpreter that will play graphic adventure games
  written for LucasArts' SCUMM virtual machine, Sierra's AGI adventures,
@@ -17,6 +17,8 @@
  Coktel Vision's Gobliiins, Wyrmkeep's Inherit the Earth,
  Westwood's Legend of Kyrandia, and various others.
  This package does not contain any actual games.
+XSBC-Bugtracker: https://sourceforge.net/tracker/?atid=418820&group_id=37116&func=browse
+XB-Maemo-Display-Name: ScummVM
 XBS-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAC/VBMVEUICwcH
   CQUKDAgLDQoMDwsOEAwREAUPEQ0QEg8PFQoRExAUEwoVFAwPGAcTFBIRFg0W

=== backends/platform/maemo/debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

build: scummvm

scummvm:
	dh_testdir
	./configure --host=maemo --enable-release
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
# run as fake dbus-service to enable switching back to application from desktop via home key
	install -m0755 dists/maemo/scummvm.servicewrapper debian/scummvm/usr/games/scummvm
	install -m0644 dists/maemo/scummvm.servicedesktop debian/scummvm/usr/share/applications/hildon/scummvm.desktop
	install -m0644 dists/maemo/scummvm.service debian/scummvm/usr/share/dbus-1/services
# the following commented out lines are the alternative for not running scummvm as a fake service
#	install -m0755 dists/maemo/scummvm.wrapper debian/scummvm/usr/games/scummvm
#	install -m0644 dists/maemo/scummvm.desktop debian/scummvm/usr/share/applications/hildon
	install -m0644 dists/maemo/scummvm26.png debian/scummvm/usr/share/icons/hicolor/26x26/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm40.png debian/scummvm/usr/share/icons/hicolor/40x40/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm48.png debian/scummvm/usr/share/icons/hicolor/48x48/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm64.png debian/scummvm/usr/share/icons/hicolor/64x64/hildon/scummvm.png
	install -m0644 icons/scummvm.xpm debian/scummvm/usr/share/icons
#	install -m0644 -d debian/scummvm/usr/lib/scummvm
#	install -m0644 plugins/lib*.so debian/scummvm/usr/lib/scummvm
##non-optified version
#	install -m0755 scummvm debian/scummvm/usr/games/scummvm.bin
#	install -m0644 -d debian/scummvm/usr/share/scummvm
#	install -m0644 dists/pred.dic debian/scummvm/usr/share/scummvm
#	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/usr/share/scummvm
# optified version (save rootfs space on N900), see also configure prefix and datadir paths above
	install -m0644 -d debian/scummvm/opt/scummvm/bin
	install -m0755 scummvm debian/scummvm/opt/scummvm/bin
	install -m0644 -d debian/scummvm/opt/scummvm/share
	install -m0644 dists/pred.dic debian/scummvm/opt/scummvm/share
	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/opt/scummvm/share
	install -m0644 backends/vkeybd/packs/vkeybd_default.zip debian/scummvm/opt/scummvm/share
# for optified version we can also add engine datafiles
	install -m0644 dists/engine-data/drascula.dat dists/engine-data/hugo.dat dists/engine-data/kyra.dat dists/engine-data/lure.dat dists/engine-data/m4.dat dists/engine-data/mads.dat dists/engine-data/queen.tbl dists/engine-data/sky.cpt dists/engine-data/teenagent.dat dists/engine-data/toon.dat debian/scummvm/opt/scummvm/share

	install -m0644 -d debian/scummvm/usr/share/doc/scummvm
	install -m0644 NEWS README COPYRIGHT debian/scummvm/usr/share/doc/scummvm
binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: build clean binary install binary-arch binary-indep

## scummvm 1.4.1~pre0036.g9373664-1

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0036.g9373664-1) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sat, 04 Dec 2011 18:23:58 -0300
